//go:build linux
// +build linux

/*
 * @Author: zhoufei
 * @Date: 2022-07-13 10:35:50
 * @LastEditors: zhoufei
 * @LastEditTime: 2022-07-13 10:41:12
 * @FilePath: /utils/panic_linux.go
 * @Description:
 *
 * Copyright (c) 2022 by zhoufei, All Rights Reserved.
 */

package utils

import (
	"os"
	"syscall"
)

// RedirectStderr to the file passed in
func RedirectStderr() (err error) {
	logFile, err := os.OpenFile("./test-error.log", os.O_WRONLY|os.O_CREATE|os.O_SYNC|os.O_APPEND, 0644)
	if err != nil {
		return
	}
	err = syscall.Dup3(int(logFile.Fd()), int(os.Stderr.Fd()), 0)
	if err != nil {
		return
	}
	return
}
